Package org.pushingpixels.flamingo.internal.ui.ribbon

# Class RibbonComponentUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.ribbon.RibbonComponentUI

Direct Known Subclasses:
  `BasicRibbonComponentUI`

public abstract class RibbonComponentUI extends ComponentUI
UI for extended components (`JRibbonComponent`).

## Constructor Summary

Constructors
Constructor
Description
`RibbonComponentUI()`

## Method Summary

Modifier and Type
Method
Description
`abstract Point`
`getKeyTipAnchorCenterPoint()`
`abstract Dimension`
`getPreferredSize(RibbonElementPriority priority)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RibbonComponentUI

public RibbonComponentUI()

## Method Details

### getKeyTipAnchorCenterPoint

public abstract Point getKeyTipAnchorCenterPoint()

### getPreferredSize

public abstract Dimension getPreferredSize(RibbonElementPriority priority)